Subject: Re: [bess] Erik Kline's No Objection on draft-ietf-bess-evpn-igmp-mld-proxy-14: (with COMMENT)

From: "Mankamana Mishra (mankamis)" <[email-masked]>
Date: Wed, 17 Nov 2021 20:05:32 +0000

Hi Erik,
Thanks for comment . Please find inline comment.  Please let me know if you have additional comment

From: Erik Kline via Datatracker <[email-masked]>
Date: Wednesday, October 27, 2021 at 6:18 PM
To: The IESG <[email-masked]>
Cc: [email-masked] <[email-masked]>, [email-masked] <[email-masked]>, [email-masked] <[email-masked]>, [email-masked] <[email-masked]>
Subject: Erik Kline's No Objection on draft-ietf-bess-evpn-igmp-mld-proxy-14: (with COMMENT)
Erik Kline has entered the following ballot position for
draft-ietf-bess-evpn-igmp-mld-proxy-14: No Objection

When responding, please keep the subject line intact and reply to all
email addresses included in the To and CC lines. (Feel free to cut this
introductory paragraph, however.)

Please refer to https://www.ietf.org/blog/handling-iesg-ballot-positions/
for more information about how to handle DISCUSS and COMMENT positions.

The document, along with other ballot positions, can be found here:
https://datatracker.ietf.org/doc/draft-ietf-bess-evpn-igmp-mld-proxy/

----------------------------------------------------------------------
COMMENT:
----------------------------------------------------------------------

Generally no useful comments that others haven't already made.  Thank
you for your patience, since I had pushed this out another week.

[S4, comment]

* I feel like some representative diagram to refer to throughout the
  document might be useful earlier in the document, even if it's just
  duplication of Figure 1 from section 5.
Mankamana : Looking at other base document RFC 7432, 6613, 6614 I do not think too many reference diagram are needed. Is there any specific area where you think having diagram would help ?

[S9.*]

* Should it be said that if the Multicast Source Length is not zero
  then it MUST be equal to the Multicast Group Length?  I.e. no
  mixing and matching IPv4 and IPv6 source/group addresses by accident?

Mankamana :  originally carrying multicast route over BGP is defined in RFC 6513 and RFC6514.I did not find any clarification in these document as well, do we really need to be explicit that mix and match not allowed or go with standard practice ? Mix and match not working are true for PIM as well.